diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
index dd1545853..cfd76bc58 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
@@ -120,6 +120,24 @@ define('pgadmin.node.row_security_policy', [
           control: 'sql-field', visible: true, group: gettext('Commands'),
           disabled: 'disableWithCheck',
         },
+        {
+          id: 'rls_expression_key_note', label: gettext('RLS policy expression'),
+          type: 'note', group: 'Commands', mode: ['create'],
+          text: [
+            '<strong>', gettext('Using: '), '</strong>',
+            gettext('This expression will be added to queries that refer to the table if row level security is enabled.'),
+            '</li><li>',
+            '<strong>', gettext('Details: '), '</strong>',
+            gettext('Rows for which the expression returns true will be visible. Any rows for which the expression returns false or null will not be visible to the user (in a SELECT), and will not be available for modification (in an UPDATE or DELETE). Such rows are silently suppressed; no error is reported.'),
+            '</li></ul>',
+            '<strong>', gettext('With check: '), '</strong>',
+            gettext('This expression will be used in INSERT and UPDATE queries against the table if row level security is enabled.'),
+            '</li><li>',
+            '<strong>', gettext('Details: '), '</strong>',
+            gettext('Only rows for which the expression evaluates to true will be allowed. An error will be thrown if the expression evaluates to false or null for any of the records inserted or any of the records that result from the update.'),
+            '</li></ul>',
+          ].join(''),
+        },
         {
           id: 'policyowner', label: gettext('Role'), cell: 'string',
           control: 'node-list-by-name',
